MANDB(8)

NOME
mandb - cria ou actualiza as caches de índice das páginas do manual

SINOPSE
mandb [-dqsucpt?V] [-C ficheiro] [manpath]
mandb [-dqsut] [-C ficheiro] -f nomeficheiro ...

DESCRIÇÃO
mandb é usado para inicializar ou actualizar manualmente as caches de bases de dados índice. As caches contêm informação relevante sobre o estado actual do sistema de páginas do manual e a informação nelas armazenada é usada pelos utilitários do man-db para melhorar a sua velocidade e funcionalidade.

Ao criar ou actualizar um índice, mandb avisa sobre maus pedidos .so ROFF, nomes de ficheiro de páginas do manual fictícios e páginas do manual das quais não consegue analisar o whatis.

Fornecer a mandb um caminho opcional separado por dois-pontos sobrepõe-se ao caminho interno de procura de hierarquias de páginas do manual, determinado por informação dentro do ficheiro de configuração do man-db.

CACHES DE BASES DE DADOS
mandb pode ser compilado com suporte a qualquer um dos seguintes tipos de bases de dados.

Nome | Async | Nome de ficheiro
Berkeley db | Sim | index.bt
GNU gdbm | Sim | index.db
UNIX ndbm | Não | index.(dir|pag)

Os tipos de bases de dados que suportam actualizações assíncronas fornecem velocidade melhorada a custo de possível corrupção em caso de fecho irregular. Num caso em que tal tenha ocorrido, pode ser necessário voltar a executar o mandb com a opção -c para recriar as bases de dados de raiz.

OPÇÕES

-d, --debug
    Imprime informação de depuração.

-q, --quiet
    Não produz avisos.

-s, --no-straycats
    Não perde tempo a procurar ou adicionar informação às bases de dados sobre cats perdidos.

-p, --no-purge
    Não perde tempo a procurar páginas do manual eliminadas e a purgá-las da base de dados.

-c, --create
    Por predefinição, o mandb tentará actualizar quaisquer bases de dados anteriormente criadas. Se uma delas não existir, será criada. Esta opção força o mandb a eliminar bases de dados anteriores e a recriá-las de raiz, o que implica --no-purge.. Pode ser necessário se uma base de dados for corrompida ou se for introduzido um novo esquema de armazenagem.

-u, --user-db
    Criar só bases de dados do utilizador, mesmo com permissões de escrita necessárias para criar bases de dados de sistema.

-t, --test
    Realiza testes de correcção em páginas do manual no caminho de procura da hierarquia. Com esta opção, mandb não altera as bases de dados existentes.

-f, --filename
    Actualiza só as entradas do nome de ficheiro indicado. Esta opção não é para uso geral; é usada internamente pelo man quando foi compilado com a opção MAN_DB_UPDATES e descobre uma página desactualizada. Implica -p e desactiva -c e -s.

-C ficheiro, --config-file=ficheiro
    Usa este ficheiro de configuração do utilizador em vez do pré-definido de ~/.manpath.

-?, --help
    Mostra a mensagem de uso e sai.

--usage
    Mostra uma mensagem curta de uso e sai.

-V, --version
    Mostra a versão e sai.

ESTADO DE SAÍDA

0   Execução de programa com sucesso.

1   Erro de uso, sintaxe ou do ficheiro de configuração.

2   Erro de operação.

3   Falhou um processo-filho.

DIAGNÓSTICO
As seguintes mensagens de aviso podem ser emitidas durante a construção das bases de dados.

<nomeficheiro>: falha na análise do whatis para page(sec)
    Falhou uma tentativa de extrair linhas whatis do <nomeficheiro>. Normalmente, é devido a uma escrita pobre de uma página do manual, mas se forem emitidas muitas destas mensagens, é provável que o sistema contenha páginas do manual não-padrão incompatíveis com o analisador whatis do man-db. Veja a secção ANÁLISE WHATIS em lexgrog(1) para mais informação.

<nomeficheiro>: é uma ligação simbólica pendente
    <nomeficheiro> não existe mas é referenciado por uma ligação simbólica. Normalmente, são emitidos mais diagnósticos para identificar o <nomeficheiro> da ligação culposa.

<nomeficheiro>: má ligação simbólica ou pedido ROFF ".so"
    <nomeficheiro> ou é uma ligação simbĺica a, ou contém um pedido ROFF include a um ficheiro não existente.

<nomeficheiro>: a ignorar nomeficheiro fictício
    O <nomeficheiro> pode ou não ser uma página de manual válida, mas o seu nome é inválido. É normalmente devido a uma página do manual com uma extensão seccional <x> posta na secção <y> da página do manual.

<máscara_nomeficheiro>: extensões concorrentes
    O carácter universal <máscara_nomeficheiro> não é único. É normalmente causado pela co-existência de versões comprimida e descomprimida da mesma página do manual. São todas ignoradas menos a mais recente.

FICHEIROS

/etc/manpath.config
    ficheiro de configuração do man-db.

/var/cache/man/index.(bt|db|dir|pag)
    Uma cache de base de dados de índice global de acordo com FHS.

Localizações antigas da cache de base de dados incluíam:

/usr/man/index.(bt|db|dir|pag)
    Uma cache de base de dados de índice global tradicional.

/var/catman/index.(bt|db|dir|pag)
    Uma cache de base de dados índice alternativa ou respeitante FSSTND.

VEJA TAMBÉM
lexgrog(1), man(1), manpath(5), catman(8)

A secção ANÁLISE WHATIS anteriormente parte desta página do manual é agora parte de lexgrog(1).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

ERROS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db